Class | Spec::Runner::Formatter::TextMateFormatter
In: | lib/spec/runner/formatter/text_mate_formatter.rb
Parent: | HtmlFormatter

Formats backtraces so they‘re clickable by TextMate

### Methods

backtrace_line

### Public Instance methods

backtrace_line(line)

[Source]

        # File lib/spec/runner/formatter/text_mate_formatter.rb, line 8
     8:         def backtrace_line(line)
     9:           line.gsub(/([^:]*\.rb):(\d*)/) do
    10:             "<a href=\"txmt://open?url=file://#{File.expand_path($1)}&line=#{$2}\">#{$1}:#{$2}</a> "
    11:           end
    12:         end

[Validate]